bin_PROGRAMS=yals 
noinst_PROGRAMS=client async test 

SRC_MONKEYCAR= monkey_car/monkeycar_area.cpp monkey_car/monkeycar_bus.cpp monkey_car/monkeycar_person.cpp

SRC_MODULE_SERVICE= module_service/area_business_car_attendance.cpp module_service/area_business_card_enter_or_leave.cpp \
					module_service/area_business_count_checker.cpp module_service/area_business_forbid.cpp \
					module_service/area_business_geofault.cpp module_service/area_business_motionless_persion.cpp \
					module_service/area_business_person_attendance.cpp module_service/area_business_person_dwell_checker.cpp \
					module_service/area_business_post_area.cpp module_service/area_business_speed_checker.cpp \
					module_service/module_meta_date_changed.cpp module_service/module_web.cpp \
					module_service/module_call.cpp module_service/module_call_help.cpp module_service/module_mgr.cpp module_service/module_other_alarm.cpp


SRC_MAIN= ant.cpp area.cpp base64.cpp bindmorecard.cpp mine_business.cpp card_area.cpp card_base.cpp card_car.cpp \
    	  card.cpp card_message_handle.cpp cardMgr.cpp card_path.cpp card_person.cpp crc.cpp geo_hash.cpp \
		  landmark.cpp line_fit.cpp loc_point.cpp loc_tool.cpp message.cpp message_file.cpp mine.cpp \
		  net-service.cpp point.cpp select_tool.cpp site_area.cpp special_area.cpp tdoa_sync.cpp visit.cpp \
		  web-client.cpp worker.cpp  znet.cpp ya_setting.cpp area_business.cpp event.cpp 
SRC_MAIN_EVENT= mine_module/MineCardManager.cpp

AM_SOURCES=$(SRC_MODULE_SERVICE) $(SRC_MONKEYCAR) $(SRC_MAIN) $(SRC_MAIN_EVENT)

AM_CPPFLAGS=-Wall -pthread -m64 -g -std=c++11  -I${prefix}/include -I/usr/local/mysql/include -Iwebsocket -Iwebsocket/sio -I./db -I../dist/include -I../rapidjson/include -Imodule_service

AM_LDFLAGS=-Wall -pthread -m64 -g -std=c++11  -L${prefix}/lib  -L/usr/local/mysql/lib -L../dist/lib

yals_SOURCES=${AM_SOURCES} main.cpp
yals_CPPFLAGS=${AM_CPPFLAGS} 
yals_LDFLAGS=${AM_LDFLAGS}  -lev -lzlog -lrt -lboost_chrono -lboost_system -lboost_thread -lmysqlclient -lthree_rates
yals_LDADD=db/libyadb.a websocket/libwebsocket.a

async_SOURCES=async.cpp
async_CPPFLAGS=${AM_CPPFLAGS}
async_LDFLAGS=${AM_LDFLAGS}  -L. -lzlog -lrt

client_SOURCES=client.cpp message_file.cpp
client_CPPFLAGS=${AM_CPPFLAGS}
client_LDFLAGS=${AM_LDFLAGS}  -L. -lzlog

test_SOURCES=test.cpp base64.cpp
test_CPPFLAGS=${AM_CPPFLAGS}
test_LDFLAGS=${AM_LDFLAGS}  -L. -lzlog -lrt

DEFS= 
EXTRA_DIST=


